# Интеллектуальные системы


## <a href="https://docs.google.com/spreadsheets/d/11XB6aIQfRIfHw6CE-ByyTWS7-I7V_wzlPFrbaUXsO8g/edit?usp=sharing" target="_blank">Журнал</a>

## <a href="https://discord.gg/J9Gzed8yb" target="_blank">Discord</a>

## Лабораторные работы

### Лабораторная работа №1 05.09.2023

* [Задание](http://uit.mpei.ru/git/main/is_dnn/raw/branch/main/labworks/LW1/IS_Lab01_2023.pdf) 
* [Методические указания](http://uit.mpei.ru/git/main/is_dnn/raw/branch/main/labworks/LW1/IS_Lab01_Metod_2023.pdf)
* <a href="https://youtube.com/playlist?list=PLfdZ2TeaMzfzlpZ60rbaYU_epH5XPNbWU" target="_blank"><s>Какие нейроны, что вообще происходит?</s> Рекомендуется к просмотру для понимания (4 видео)</a>
* <a href="https://www.youtube.com/watch?v=FwFduRA_L6Q" target="_blank">Почувствуйте себя пионером нейронных сетей в области распознавания образов</a>

### Лабораторная работа №2 03.10.2023

* [Задание](labworks/LW2/IS_Lab02_2023.pdf) 
* [Методические указания](labworks/LW2/IS_Lab02_Metod_2023.pdf)
* [Наборы данных](labworks/LW2/data)
* [Библиотека для автокодировщиков](labworks/LW2/lab02_lib.py) 


### Лабораторная работа №3 31.10.2023 *(материалы 2022 года)*

* [Задание](labworks/LW3/IS_Lab03_2022.pdf) 
* [Методические указания](labworks/LW3/IS_Lab03_Metod_2022.pdf)
* [Функция для отображения матрицы ошибок](labworks/LW3/cf_matrix.py) 


### Лабораторная работа №4 28.11.2023 *(материалы 2022 года)*

* [Задание](labworks/LW4/IS_Lab04_2022.pdf) 
* [Методические указания](labworks/LW4/IS_Lab04_Metod_2022.pdf)


## Архив материалов курса
В 2021–2022 годах материалы выкладывались <a href="https://uii.bitbucket.io/study/courses/#:~:text=Интеллектуальные%20системы%20(глубокие%20нейронные%20сети)" target="_blank">на этой странице</a>.

В 2021 году курс читался впервые и дистанционно, поэтому <a href="https://uii.bitbucket.io/study/courses/is_dnn/2021/" target="_blank">на этой странице</a> сохранились видеозаписи лекций.

**Внимание!** Материалы, демонстрируемые на архивных видеозаписях, могли устареть и могут не вполне соответствовать актуальной программе курса. **Используйте в ознакомительных целях.**
Там же можно найти список рекомендованной литературы и дополнительных материалов.

## Преподаватели

* Елисеев Владимир Леонидович — лектор ([почта](mailto:YeliseevVL@mpei.ru))
* Колпинский Сергей Викторович — лаборант ([почта](mailto:KolpinskySV@mpei.ru), [телеграм](https://t.me/serejka_kolpin), [вк](https://vk.com/serejka_kolpin))
* Ван Сюэчунь — ассистент ([почта](mailto:VanSiuech@mpei.ru))
